Get Quantity Deal
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/quantity-deals/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"shop_id": 1,
"name": "Bulk Discount",
"product_id": 1,
"variant_id": 1,
"buy_quantity": 5,
"discounted_quantity": 5,
"percentage": "10.00",
"max_uses_per_cart": null,
"priority": 0,
"starts_at": null,
"ends_at": null,
"enabled": true,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0
},
"variant": {
"id": 1,
"name": "Standard"
}
}Quantity Deals
Get Quantity Deal
Retrieves a specific quantity deal.
GET
/
v1
/
shops
/
{shopId}
/
quantity-deals
/
{dealId}
Get Quantity Deal
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
The ID of the quantity deal.
Response
200 - application/json
Example:
1
Example:
1
Example:
"Bulk Discount"
Example:
1
Example:
1
Example:
5
Example:
5
Example:
"10.00"
Example:
null
Example:
0
Example:
null
Example:
null
Example:
true
Example:
"2026-09-20T15:56:24.000000Z"
Example:
"2026-09-20T15:56:24.000000Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes